databaseChangeLog:
  - logicalFilePath: 20240305-10-create-table-user.yaml

  - changeSet:
      id: 20240305-1
      author: Ulduz Safarli
      changes:
        - createTable:
            tableName: users
            remarks: users entity
            columns:
              - column:
                  name: id
                  type: uuid
                  constraints:
                    primaryKey: true
                    nullable: false
              - column:
                  name: first_name
                  type: varchar(255)
                  constraints:
                    nullable: false
                  remarks: firstname
              - column:
                  name: last_name
                  type: varchar(255)
                  constraints:
                    nullable: false
                  remarks: lastname
              - column:
                  name: email
                  type: varchar(255)
                  constraints:
                    nullable: false
                    unique: true
                  remarks: email
              - column:
                  name: password
                  type: varchar(255)
                  constraints:
                    nullable: false
                  remarks: password